Get a payroll connect delivery results information
get
/hcmRestApi/resources/11.13.18.05/payrollConnectDeliveryResults
Request
Query Parameters
-
effectiveDate: string
This query parameter is used to fetch resources which are effective dated as of the specified start date. The value of this query parameter is a string having a date in yyyy-MM-dd format
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Retrieves delivery result records by delivery details identifier
Finder Variables- DeliveryResultDtlsId; integer; Surrogate identifier for the record. Applicable to existing records only.
- filterByFilterCriteria Retrieves delivery details record by applying multiple filters
Finder Variables- ErrorMessage; string; Identifier to retrieve delivery result records by error message
- PayrollId; integer; Identifier to retrieve delivery result records by payrollId
- PersonName; string; Identifier to retrieve delivery result records by person name
- PersonNumber; string; Identifier to retrieve delivery result records by person number
- Status; string; Identifier to retrieve delivery result records by status
- SysEffectiveDate; object;
- PrimaryKey Retrieves delivery result records by delivery details identifier
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- Actionee; string; User type to which person is assigned
- DeliveryResultDtlsId; integer; Unique Identifier for delivery result record
- DeliverySourceId; string; Identifier for delivery source type
- DeliverySourceType; string; Type of delivery source
- ErrorCode; string; Error Code for error generated while processing for new hire
- ErrorMessage; string; Error Message for error generated while processing for new hire
- FirstName; string; First Name of the newly hired person for whom delivery failed
- FullName; string; Full Name of the newly hired person for whom delivery failed
- LastName; string; Last Name of newly hired person for whom delivery failed
- NewHireEmail; string; Email address of the new hire
- NotificationDate; string; Date the notification was sent
- NotificationMessage; string; Message sent in the notification
- PayrollId; integer; Payroll for new hire
- PersonId; integer; Identifier for person
- PersonName; string; Name for new hire
- PersonNameId; integer; Name identifier for new hire
- PersonNumber; string; Person number for new hire
- Status; string; Processing status of the error message
- SubmittedDate; string; Date the error was generated
- SysEffectiveDate; string
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollConnectDeliveryResults
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollConnectDeliveryResults-item-response
Type:
Show Source
object-
Actionee: string
Maximum Length:
80User type to which person is assigned -
DeliveryResultDtlsId: integer
(int64)
Unique Identifier for delivery result record
-
DeliverySourceId: string
Maximum Length:
50Identifier for delivery source type -
DeliverySourceType: string
Maximum Length:
10Type of delivery source -
ErrorCode: string
Maximum Length:
60Error Code for error generated while processing for new hire -
ErrorMessage: string
Maximum Length:
4000Error Message for error generated while processing for new hire -
FirstName: string
Title:
First NameRead Only:trueMaximum Length:150First Name of the newly hired person for whom delivery failed -
FullName: string
Title:
Full NameRead Only:trueMaximum Length:2000Full Name of the newly hired person for whom delivery failed -
IsUpdatable: string
Maximum Length:
255Flag to indicate if delivery result record status can be updated -
LastName: string
Title:
Last NameRead Only:trueMaximum Length:150Last Name of newly hired person for whom delivery failed -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
NewHireEmail: string
Maximum Length:
80Email address of the new hire -
NotificationDate: string
(date-time)
Date the notification was sent
-
NotificationMessage: string
Maximum Length:
4000Message sent in the notification -
PayrollId: integer
(int64)
Payroll for new hire
-
PersonId: integer
(int64)
Read Only:
trueIdentifier for person -
PersonName: string
Title:
NameRead Only:trueMaximum Length:240Name for new hire -
PersonNameId: integer
(int64)
Read Only:
trueName identifier for new hire -
PersonNumber: string
Title:
Person NumberRead Only:trueMaximum Length:30Person number for new hire -
Status: string
Maximum Length:
80Processing status of the error message -
SubmittedDate: string
(date-time)
Date the error was generated
-
SysEffectiveDate: string
(date)
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Links
- updateDeliveryResults
-
Operation: /hcmRestApi/resources/11.13.18.05/payrollConnectDeliveryResults/action/updateDeliveryResultsUpdate Status and relevant actions for delivery results by deliveryDetailsId